#pragma once

class pixel
{
    CString _bundesland;
//georaphische und geologische Attribute des Pixel
    int _pixelID;
    double _feuchte_trocken;
    bool _feuchte_entwaessert;
    double _feuchte_mittel;
    double _feuchte_feucht;
    float _praedatorendruck;
    int _hoehenlage;
    int _gruenlandzahl;
    int _x_koordinate;
    int _y_koordinate;
    int _matrix_i;
    int _matrix_j;
    bool _wald;
    bool _siedlung;
    bool _wasser;
    int _wuchsklasse;
    CString _raumgliederung;
    int _bearbeitung;

public:
    pixel( void);
    ~pixel( void);
    void set_bundesland( CString);
//georaphische und geologische Attribute des Pixel
    void set_feuchte_trocken( double);
    void set_feuchte_entwaessert( bool);
    void set_feuchte_mittel( double);
    void set_feuchte_feucht( double);
    void set_praedatorendruck( float);
    void set_hoehenlage( int);
    void set_gruenlandzahl( int);
    void set_x_koordinate( int);
    void set_y_koordinate( int);
    void set_matrix_i( int);
    void set_matrix_j( int);
    void set_wald( bool);
    void set_siedlung( bool);
    void set_wasser( bool);
    void set_wuchsklasse( int);
    void set_raumgliederung( CString);
    void set_pixelID( int);
    void set_bearbeitung( int);

    int bundeslandID;
    int wachstum_start;

    CString get_bundesland();
//georaphische und geologische Attribute des Pixel
    double get_feuchte_trocken();
    bool get_feuchte_entwaessert();
    double get_feuchte_mittel();
    double get_feuchte_feucht();
    float get_praedatorendruck();
    int get_hoehenlage();
    int get_gruenlandzahl();
    float get_hangneigung();
    int get_x_koordinate();
    int get_y_koordinate();
    int get_matrix_i();
    int get_matrix_j();
    bool get_wald();
    bool get_siedlung();
    bool get_wasser();
    int get_wuchsklasse();
    CString get_raumgliederung();
    int get_pixelID();
    int get_bearbeitung();

};
